CypherParser (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.cypher.javacompat
Class CypherParser

    java.lang.Object
      org.neo4j.cypher.javacompat.CypherParser

Deprecated.

    @Deprecated
    public class CypherParser

extends Object

This class is deprecated. You should not parse queries manually - send the string directly to the execution engine

Constructor Summary
`CypherParser()` Deprecated.

Method Summary
`org.neo4j.cypher.internal.commands.Query` | `parse(String query)` Deprecated.
`static org.neo4j.cypher.internal.commands.Query` | `parseConsole(String query)` Deprecated.
`static org.neo4j.cypher.internal.commands.Query` | `parseStrict(String query)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CypherParser

    public CypherParser()

  Deprecated.

Method Detail

### parse

    public org.neo4j.cypher.internal.commands.Query parse(String query)
                                                   throws org.neo4j.cypher.SyntaxException

  Deprecated.
  Throws:
    `org.neo4j.cypher.SyntaxException`

### parseStrict

    public static org.neo4j.cypher.internal.commands.Query parseStrict(String query)
                                                                throws org.neo4j.cypher.SyntaxException

  Deprecated.
  Throws:
    `org.neo4j.cypher.SyntaxException`

### parseConsole

    public static org.neo4j.cypher.internal.commands.Query parseConsole(String query)
                                                                 throws org.neo4j.cypher.SyntaxException

  Deprecated.
  Throws:
    `org.neo4j.cypher.SyntaxException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.